Bug 971004 - Grouped accessors don't work with inline cast
Grouped accessors don't work with inline cast
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.0.0
Assigned To: Mario Fusco
Tomas Schlosser
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 08:46 EDT by Tomas Schlosser
Modified: 2014-08-06 16:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:19:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Schlosser 2013-06-05 08:46:31 EDT
Description of problem:
When a field is cast inline, it's inner fields can't be accessed in group, it is necessary to perform cast every time.

Version-Release number of selected component (if applicable):
Drools 6.0.0.Beta3, Drools master (2013-06-05)

How reproducible:
Pull request submitted on github

Steps to Reproduce:
1. run testGoupedAccess JUnit test

Actual results:
Rule compiler complains about mismatched input

Expected results:
Rule compiles fine and rules evaluate correctly

Additional info:
Comment 1 Tomas Schlosser 2013-06-05 08:56:54 EDT
Submitted as pull request #208
Comment 2 Mario Fusco 2013-07-25 11:15:22 EDT
Fixed in CR2.
Comment 7 Tomas Schlosser 2013-10-14 03:59:25 EDT
Verified in BRMS.6.0.0.ER4

Note You need to log in before you can comment on or make changes to this bug.